/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _util_style = require('../_chunks/dep-2e323406.js');
require('../_chunks/dep-c340510d.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-0d2e37a8.js');

function copyText(text) {
  var _document$execCommand, _document;
  if (!_util_style.canUseDocument) return;
  if ("clipboard" in navigator) {
    navigator.clipboard.writeText(text);
    return;
  }
  var textarea = document.createElement("textarea");
  textarea.textContent = text;
  textarea.style.width = "0px";
  textarea.style.height = "0px";
  document.body.appendChild(textarea);
  var selection = document.getSelection();
  var range = document.createRange();
  range.selectNode(textarea);
  selection.removeAllRanges();
  selection.addRange(range);
  (_document$execCommand = (_document = document).execCommand) === null || _document$execCommand === void 0 || _document$execCommand.call(_document, "copy");
  selection.removeAllRanges();
  document.body.removeChild(textarea);
}

exports["default"] = copyText;
//# sourceMappingURL=copyText.js.map
