/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var AvatarContext = /*#__PURE__*/React__default["default"].createContext("default");
var AvatarContextProvider = function AvatarContextProvider(_ref) {
  var children = _ref.children,
    size = _ref.size;
  return /* @__PURE__ */React__default["default"].createElement(AvatarContext.Consumer, null, function (inputSize) {
    return /* @__PURE__ */React__default["default"].createElement(AvatarContext.Provider, {
      value: size || inputSize
    }, children);
  });
};

exports.AvatarContextProvider = AvatarContextProvider;
exports["default"] = AvatarContext;
//# sourceMappingURL=AvatarContext.js.map
