/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-36f2c0c2.js');
var slicedToArray = require('../_chunks/dep-1135362e.js');
var React = require('react');
var treeStore = require('../_chunks/dep-2964015e.js');
var cascader_core_helper = require('./core/helper.js');
var cascader_core_effect = require('./core/effect.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var isEqual = require('../_chunks/dep-c6c72aff.js');
var isFunction = require('../_chunks/dep-cfd04a4b.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-2ebc1a75.js');
require('../_chunks/dep-ce434e16.js');
require('mitt');
require('../_chunks/dep-0de56bba.js');
require('../_chunks/dep-e15a33e9.js');
require('../_chunks/dep-4d46699b.js');
require('../_chunks/dep-e13830e4.js');
require('../_chunks/dep-99057d6c.js');
require('../_chunks/dep-8bc1cdb3.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-825271ec.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-0d2e37a8.js');
require('../_chunks/dep-5a308fe8.js');
require('../_chunks/dep-ab975a03.js');
require('../_chunks/dep-9aa61227.js');
require('../_chunks/dep-bf3c4644.js');
require('../_chunks/dep-f9468320.js');
require('../_chunks/dep-08c2f3c4.js');
require('../_chunks/dep-810d56ec.js');
require('../_chunks/dep-2f2e3172.js');
require('../_chunks/dep-39cfa1e8.js');
require('../_chunks/dep-199b9155.js');
require('../_chunks/dep-93691cd7.js');
require('../_chunks/dep-d5965f49.js');
require('../_chunks/dep-e3718be1.js');
require('../_chunks/dep-fc852541.js');
require('../_chunks/dep-e57f7de9.js');
require('../_chunks/dep-0da99b78.js');
require('../_chunks/dep-c4b07574.js');
require('../_chunks/dep-24a443af.js');
require('../_chunks/dep-349377fd.js');
require('../_chunks/dep-c03abb8d.js');
require('../_chunks/dep-4422ab9c.js');
require('../_chunks/dep-f9fc748e.js');
require('../_chunks/dep-e121d70e.js');
require('../_chunks/dep-9ee1931f.js');
require('../_chunks/dep-d371704c.js');
require('../_chunks/dep-aca4abf9.js');
require('../_chunks/dep-a422f8bb.js');
require('../_chunks/dep-dd40281a.js');
require('../_chunks/dep-bacf1f7c.js');
require('../_chunks/dep-4edddcbd.js');
require('../_chunks/dep-fccfa508.js');
require('../_chunks/dep-c02b300c.js');
require('../_chunks/dep-f3ba9c81.js');
require('../_chunks/dep-1b417134.js');
require('../_chunks/dep-a3296643.js');
require('../_chunks/dep-c340510d.js');
require('../_chunks/dep-4a0537fa.js');
require('../_chunks/dep-d12ca794.js');
require('../_chunks/dep-05e58abe.js');
require('../_chunks/dep-98484f3b.js');
require('../_chunks/dep-bd0ab4be.js');
require('../_chunks/dep-7e8bb5cc.js');
require('../_chunks/dep-7603c5b0.js');
require('../_chunks/dep-8ad5b41f.js');
require('../_chunks/dep-9c407767.js');
require('../_chunks/dep-bf0e5957.js');
require('../_util/noop.js');
require('../_chunks/dep-4a4a845f.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var useCascaderContext = function useCascaderContext(props) {
  var _useControlled = hooks_useControlled["default"](props, "value", props.onChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    innerValue = _useControlled2[0],
    setInnerValue = _useControlled2[1];
  var _useControlled3 = hooks_useControlled["default"](props, "popupVisible", props.onPopupVisibleChange),
    _useControlled4 = slicedToArray._slicedToArray(_useControlled3, 2),
    innerPopupVisible = _useControlled4[0],
    setPopupVisible = _useControlled4[1];
  var _useState = React.useState(""),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    inputVal = _useState2[0],
    setInputVal = _useState2[1];
  var _useState3 = React.useState(null),
    _useState4 = slicedToArray._slicedToArray(_useState3, 2),
    treeStore$1 = _useState4[0],
    setTreeStore = _useState4[1];
  var _useState5 = React.useState([]),
    _useState6 = slicedToArray._slicedToArray(_useState5, 2),
    treeNodes = _useState6[0],
    setTreeNodes = _useState6[1];
  var _useState7 = React.useState([]),
    _useState8 = slicedToArray._slicedToArray(_useState7, 2),
    expend = _useState8[0],
    setExpend = _useState8[1];
  var _useState9 = React.useState(void 0),
    _useState0 = slicedToArray._slicedToArray(_useState9, 2),
    scopeVal = _useState0[0],
    setScopeVal = _useState0[1];
  var cascaderContext = React.useMemo(function () {
    var size = props.size,
      checkStrictly2 = props.checkStrictly,
      lazy2 = props.lazy,
      multiple = props.multiple,
      filterable = props.filterable,
      clearable = props.clearable,
      checkProps = props.checkProps,
      max = props.max,
      disabled2 = props.disabled,
      showAllLevels = props.showAllLevels,
      minCollapsedNum = props.minCollapsedNum,
      valueType = props.valueType;
    return {
      value: scopeVal,
      size: size,
      checkStrictly: checkStrictly2,
      lazy: lazy2,
      multiple: multiple,
      filterable: filterable,
      clearable: clearable,
      checkProps: checkProps,
      max: max,
      disabled: disabled2,
      showAllLevels: showAllLevels,
      minCollapsedNum: minCollapsedNum,
      valueType: valueType,
      treeStore: treeStore$1,
      setValue: function setValue(val, source, node) {
        if (isEqual.isEqual(val, scopeVal)) return;
        setInnerValue(val, {
          source: source,
          node: node
        });
      },
      visible: innerPopupVisible,
      setVisible: setPopupVisible,
      treeNodes: treeNodes,
      setTreeNodes: setTreeNodes,
      inputVal: inputVal,
      setInputVal: setInputVal,
      setExpend: setExpend
    };
  }, [props, scopeVal, innerPopupVisible, treeStore$1, treeNodes, inputVal, setInnerValue, setPopupVisible]);
  var isFilterable = React.useMemo(function () {
    return Boolean(props.filterable || isFunction.isFunction(props.filter));
  }, [props.filterable, props.filter]);
  var disabled = props.disabled,
    _props$options = props.options,
    options = _props$options === void 0 ? [] : _props$options,
    _props$keys = props.keys,
    keys = _props$keys === void 0 ? {} : _props$keys,
    _props$checkStrictly = props.checkStrictly,
    checkStrictly = _props$checkStrictly === void 0 ? false : _props$checkStrictly,
    _props$lazy = props.lazy,
    lazy = _props$lazy === void 0 ? true : _props$lazy,
    load = props.load,
    _props$valueMode = props.valueMode,
    valueMode = _props$valueMode === void 0 ? "onlyLeaf" : _props$valueMode;
  var optionCurrent = React.useRef(options);
  React.useEffect(function () {
    if (!isEqual.isEqual(optionCurrent.current, options)) {
      optionCurrent.current = options;
    }
  }, [options]);
  React.useEffect(function () {
    if (!treeStore$1) {
      if (!options.length) return;
      var store = new treeStore.TreeStore({
        keys: _objectSpread(_objectSpread({}, keys), {}, {
          children: typeof keys.children === "string" ? keys.children : "children"
        }),
        onLoad: function onLoad() {
          setTimeout(function () {
            store.refreshNodes();
            cascader_core_effect.treeNodesEffect(inputVal, store, setTreeNodes, props.filter, checkStrictly);
          });
        }
      });
      store.append(options);
      setTreeStore(store);
    } else {
      treeStore$1.reload(options);
      treeStore$1.refreshNodes();
      cascader_core_effect.treeStoreExpendEffect(treeStore$1, scopeVal, []);
      cascader_core_effect.treeNodesEffect(inputVal, treeStore$1, setTreeNodes, props.filter, checkStrictly);
    }
  }, [optionCurrent.current]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    var treeProps = {
      keys: _objectSpread(_objectSpread({}, keys), {}, {
        children: typeof keys.children === "string" ? keys.children : "children"
      }),
      checkable: true,
      expandMutex: true,
      expandParent: true,
      checkStrictly: checkStrictly,
      disabled: disabled,
      load: load,
      lazy: lazy,
      valueMode: valueMode
    };
    treeStore$1.setConfig(treeProps);
  }, [checkStrictly, disabled, keys, lazy, load, valueMode, treeStore$1]);
  React.useEffect(function () {
    var setValue = cascaderContext.setValue,
      multiple = cascaderContext.multiple,
      _cascaderContext$valu = cascaderContext.valueType,
      valueType = _cascaderContext$valu === void 0 ? "single" : _cascaderContext$valu;
    if (cascader_core_helper.isValueInvalid(innerValue, cascaderContext)) {
      setValue(multiple ? [] : "", "invalid-value");
    }
    if (!cascader_core_helper.isEmptyValues(innerValue)) {
      setScopeVal(cascader_core_helper.getCascaderValue(innerValue, valueType, multiple));
    } else {
      setScopeVal(multiple ? [] : "");
    }
  }, [innerValue]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    cascader_core_effect.treeStoreExpendEffect(treeStore$1, scopeVal, expend);
  }, [treeStore$1, scopeVal, expend]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    cascader_core_effect.treeNodesEffect(inputVal, treeStore$1, setTreeNodes, props.filter, checkStrictly);
  }, [inputVal, treeStore$1, props.filter, checkStrictly]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    treeStore$1.replaceChecked(cascader_core_helper.getTreeValue(scopeVal));
  }, [options, scopeVal, treeStore$1, cascaderContext.multiple]);
  React.useEffect(function () {
    if (!innerPopupVisible && isFilterable) {
      setInputVal("");
    }
  }, [innerPopupVisible, isFilterable]);
  React.useEffect(function () {
    var inputVal2 = cascaderContext.inputVal,
      treeStore2 = cascaderContext.treeStore,
      setTreeNodes2 = cascaderContext.setTreeNodes;
    cascader_core_effect.treeNodesEffect(inputVal2, treeStore2, setTreeNodes2, props.filter, checkStrictly);
  }, [inputVal, scopeVal]);
  var getCascaderItems = function getCascaderItems(arrValue) {
    var treeStore2 = cascaderContext.treeStore;
    var optionsData = [];
    arrValue.forEach(function (value) {
      var nodes = treeStore2 === null || treeStore2 === void 0 ? void 0 : treeStore2.getNodes(value);
      nodes && nodes[0] && optionsData.push(nodes[0].data);
    });
    return optionsData;
  };
  return {
    cascaderContext: cascaderContext,
    isFilterable: isFilterable,
    innerValue: innerValue,
    getCascaderItems: getCascaderItems
  };
};

exports.useCascaderContext = useCascaderContext;
//# sourceMappingURL=hooks.js.map
