/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-36f2c0c2.js');
var slicedToArray = require('../_chunks/dep-1135362e.js');
var objectWithoutProperties = require('../_chunks/dep-d4a1910a.js');
var React = require('react');
var popup_index = require('../popup/index.js');
var colorPicker_hooks_useClassNames = require('./hooks/useClassNames.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var colorPicker_components_trigger = require('./components/trigger.js');
var colorPicker_components_panel_index = require('./components/panel/index.js');
var colorPicker_defaultProps = require('./defaultProps.js');
var hooks_useDefaultProps = require('../hooks/useDefaultProps.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-2ebc1a75.js');
require('../popup/Popup.js');
require('react-transition-group');
require('classnames');
require('../hooks/useAnimation.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-62452fcb.js');
require('../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../_chunks/dep-5a0b2388.js');
require('../_chunks/dep-c03abb8d.js');
require('../_chunks/dep-93691cd7.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-0d2e37a8.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-4422ab9c.js');
require('../_chunks/dep-d5965f49.js');
require('../_chunks/dep-cfd04a4b.js');
require('../_chunks/dep-9aa61227.js');
require('../_chunks/dep-f9fc748e.js');
require('../_chunks/dep-39cfa1e8.js');
require('../_chunks/dep-5a308fe8.js');
require('../_chunks/dep-ab975a03.js');
require('../_chunks/dep-bf3c4644.js');
require('../_chunks/dep-810d56ec.js');
require('../_chunks/dep-2f2e3172.js');
require('../_chunks/dep-e121d70e.js');
require('../_chunks/dep-bd0ab4be.js');
require('../_chunks/dep-0da99b78.js');
require('../_chunks/dep-4edddcbd.js');
require('../_chunks/dep-831ea6d9.js');
require('../common/Portal.js');
require('react-dom');
require('../_chunks/dep-2e323406.js');
require('../_chunks/dep-c340510d.js');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-c6c72aff.js');
require('../_chunks/dep-05e58abe.js');
require('../_chunks/dep-4a4a845f.js');
require('../_chunks/dep-9ee1931f.js');
require('../_chunks/dep-e57f7de9.js');
require('../_chunks/dep-d371704c.js');
require('../_chunks/dep-aca4abf9.js');
require('../_chunks/dep-a422f8bb.js');
require('../_chunks/dep-b6a887a7.js');
require('../_chunks/dep-888c17ef.js');
require('../_chunks/dep-825271ec.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('../_chunks/dep-4d46699b.js');
require('@popperjs/core');
require('react-fast-compare');
require('../_util/noop.js');
require('../_chunks/dep-7603c5b0.js');
require('../_chunks/dep-8ad5b41f.js');
require('../_chunks/dep-bacf1f7c.js');
require('../_chunks/dep-f9468320.js');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-e15a33e9.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-bf0e5957.js');
require('../_chunks/dep-349377fd.js');
require('../_chunks/dep-d788e8cd.js');
require('../_chunks/dep-ce434e16.js');
require('tinycolor2');
require('../_chunks/dep-43cd25b9.js');
require('../_chunks/dep-1b417134.js');
require('../input/index.js');
require('../input/Input.js');
require('tdesign-icons-react');
require('../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('../hooks/useGlobalIcon.js');
require('../input/InputGroup.js');
require('../locale/LocalReceiver.js');
require('../input/defaultProps.js');
require('../_util/parseTNode.js');
require('../_chunks/dep-e13830e4.js');
require('../input/useLengthLimit.js');
require('../_chunks/dep-5aec375e.js');
require('../_chunks/dep-c02b300c.js');
require('../_chunks/dep-e1aec311.js');
require('../input-number/index.js');
require('../input-number/InputNumber.js');
require('../button/index.js');
require('../button/Button.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-0030e873.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../button/defaultProps.js');
require('../input-number/useInputNumber.js');
require('../_chunks/dep-d2f9d8ad.js');
require('../_chunks/dep-fccfa508.js');
require('../hooks/useCommonClassName.js');
require('../input-number/defaultProps.js');
require('../_chunks/dep-b24245bf.js');
require('./components/panel/linear-gradient.js');
require('./components/panel/saturation.js');
require('../hooks/useDrag.js');
require('./components/panel/hue.js');
require('./components/panel/slider.js');
require('./hooks/useStyles.js');
require('./components/panel/alpha.js');
require('./components/panel/format/index.js');
require('../select/index.js');
require('../select/base/Select.js');
require('../_util/helper.js');
require('../_chunks/dep-7e8bb5cc.js');
require('../select/util/helper.js');
require('../select/base/OptionGroup.js');
require('../select/defaultProps.js');
require('../select/base/Option.js');
require('../_chunks/dep-f3ba9c81.js');
require('../_chunks/dep-8bc1cdb3.js');
require('../common/FakeArrow.js');
require('../select-input/index.js');
require('../select-input/SelectInput.js');
require('../select-input/useSingle.js');
require('../_chunks/dep-99057d6c.js');
require('../_chunks/dep-08c2f3c4.js');
require('../_chunks/dep-199b9155.js');
require('../_chunks/dep-e3718be1.js');
require('../_chunks/dep-fc852541.js');
require('../select-input/useMultiple.js');
require('../tag-input/index.js');
require('../tag-input/TagInput.js');
require('../hooks/useDragSorter.js');
require('../hooks/useEventCallback.js');
require('../tag-input/useTagScroll.js');
require('../tag-input/useTagList.js');
require('../tag/index.js');
require('../tag/Tag.js');
require('../tag/defaultProps.js');
require('../tag/CheckTag.js');
require('../_chunks/dep-a844b8f2.js');
require('../tag/CheckTagGroup.js');
require('../tag-input/useHover.js');
require('../tag-input/defaultProps.js');
require('../select-input/useOverlayInnerStyle.js');
require('../select-input/defaultProps.js');
require('../select/base/PopupContent.js');
require('../select/hooks/usePanelVirtualScroll.js');
require('../hooks/useVirtualScroll.js');
require('../hooks/useResizeObserver.js');
require('../select/hooks/useOptions.js');
require('./components/panel/header.js');
require('../radio/index.js');
require('../_chunks/dep-61237f17.js');
require('../common/Check.js');
require('../_chunks/dep-c4b07574.js');
require('../_chunks/dep-61f98c51.js');
require('../radio/defaultProps.js');
require('../radio/useKeyboard.js');
require('./components/panel/swatches.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _excluded = ["popupProps", "clearable", "disabled", "borderless", "inputProps", "onChange", "onClear", "colorModes"],
  _excluded2 = ["overlayClassName", "overlayInnerStyle"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ColorPicker = function ColorPicker(props) {
  var baseClassName = colorPicker_hooks_useClassNames["default"]();
  var _useDefaultProps = hooks_useDefaultProps["default"](props, colorPicker_defaultProps.colorPickerDefaultProps),
    popupProps = _useDefaultProps.popupProps,
    clearable = _useDefaultProps.clearable,
    disabled = _useDefaultProps.disabled,
    borderless = _useDefaultProps.borderless,
    inputProps = _useDefaultProps.inputProps,
    onChange = _useDefaultProps.onChange,
    onClear = _useDefaultProps.onClear,
    colorModes = _useDefaultProps.colorModes,
    rest = objectWithoutProperties._objectWithoutProperties(_useDefaultProps, _excluded);
  var _ref = popupProps || {},
    overlayClassName = _ref.overlayClassName,
    _ref$overlayInnerStyl = _ref.overlayInnerStyle,
    overlayInnerStyle = _ref$overlayInnerStyl === void 0 ? {} : _ref$overlayInnerStyl,
    restPopupProps = objectWithoutProperties._objectWithoutProperties(_ref, _excluded2);
  var _useControlled = hooks_useControlled["default"](props, "value", onChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    innerValue = _useControlled2[0],
    setInnerValue = _useControlled2[1];
  var triggerRef = React.useRef(null);
  var colorPanelRef = React.useRef(null);
  var popProps = _objectSpread(_objectSpread({
    placement: "bottom-left",
    expandAnimation: true,
    trigger: "click"
  }, restPopupProps), {}, {
    overlayClassName: [baseClassName, overlayClassName],
    overlayInnerStyle: _objectSpread({
      padding: 0
    }, overlayInnerStyle)
  });
  return /* @__PURE__ */React__default["default"].createElement(popup_index.Popup, _objectSpread(_objectSpread({}, popProps), {}, {
    content: !disabled && /* @__PURE__ */React__default["default"].createElement(colorPicker_components_panel_index["default"], _objectSpread(_objectSpread({}, rest), {}, {
      disabled: disabled,
      value: innerValue,
      colorModes: colorModes,
      onChange: function onChange(value, context) {
        return setInnerValue(value, context);
      },
      ref: colorPanelRef
    }))
  }), /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(baseClassName, "__trigger"),
    ref: triggerRef
  }, /* @__PURE__ */React__default["default"].createElement(colorPicker_components_trigger["default"], {
    clearable: clearable,
    disabled: disabled,
    borderless: borderless,
    inputProps: inputProps,
    value: innerValue,
    onChange: setInnerValue,
    onClear: onClear
  })));
};
ColorPicker.displayName = "ColorPicker";
var _ColorPicker = /*#__PURE__*/React__default["default"].memo(ColorPicker);

exports["default"] = _ColorPicker;
//# sourceMappingURL=ColorPicker.js.map
