/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var colorPicker_components_panel_slider = require('./slider.js');
require('classnames');
require('../../../_chunks/dep-43cd25b9.js');
require('../../../hooks/useDrag.js');
require('../../hooks/useStyles.js');
require('../../../_chunks/dep-1135362e.js');
require('../../../_chunks/dep-2ebc1a75.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var HUESlider = function HUESlider(props) {
  var color = props.color,
    baseClassName = props.baseClassName,
    disabled = props.disabled,
    onChange = props.onChange;
  return /* @__PURE__ */React__default["default"].createElement(colorPicker_components_panel_slider["default"], {
    disabled: disabled,
    baseClassName: baseClassName,
    className: "".concat(baseClassName, "__hue"),
    color: color,
    value: color.hue,
    type: "hue",
    onChange: onChange
  });
};
var HUESlider$1 = /*#__PURE__*/React__default["default"].memo(HUESlider);

exports["default"] = HUESlider$1;
//# sourceMappingURL=hue.js.map
