/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dayjs = require('dayjs');
var utils = require('../../_chunks/dep-72276c68.js');
var isObject = require('../../_chunks/dep-9aa61227.js');
require('../../_chunks/dep-1135362e.js');
require('../../_chunks/dep-2ebc1a75.js');
require('../../_chunks/dep-36f2c0c2.js');
require('../../_chunks/dep-a483aecf.js');
require('../../_chunks/dep-6a2c14e7.js');
require('../../_chunks/dep-3d623476.js');
require('../../_chunks/dep-888c17ef.js');
require('../../_chunks/dep-825271ec.js');
require('../../_chunks/dep-4d53c647.js');
require('../../_chunks/dep-0d2e37a8.js');
require('../../_chunks/dep-87b282c3.js');
require('../../_chunks/dep-e13830e4.js');
require('../../_chunks/dep-c340510d.js');
require('../../_chunks/dep-24d4266a.js');
require('../../_chunks/dep-cfd04a4b.js');
require('../../_chunks/dep-bacf1f7c.js');
require('../../_chunks/dep-831ea6d9.js');
require('../../_chunks/dep-bf3c4644.js');
require('../../_chunks/dep-d5965f49.js');
require('../../_chunks/dep-39cfa1e8.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var dayjs__default = /*#__PURE__*/_interopDefaultLegacy(dayjs);

function useDisableDate(props) {
  var _disableDate = props.disableDate,
    format = props.format,
    mode = props.mode,
    start = props.start,
    end = props.end;
  return {
    disableDate: function disableDate(value) {
      return !utils.isEnabledDate({
        disableDate: _disableDate,
        format: format,
        mode: mode,
        value: value
      });
    },
    minDate: isObject.isObject(_disableDate) && "before" in _disableDate ? new Date(dayjs__default["default"](_disableDate.before).startOf("day").format()) : start,
    maxDate: isObject.isObject(_disableDate) && "after" in _disableDate ? new Date(dayjs__default["default"](_disableDate.after).endOf("day").format()) : end
  };
}

exports["default"] = useDisableDate;
//# sourceMappingURL=useDisableDate.js.map
