/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var datePicker_base_Footer = require('../base/Footer.js');
require('../../_chunks/dep-36f2c0c2.js');
require('../../_chunks/dep-a483aecf.js');
require('../../_chunks/dep-1135362e.js');
require('../../_chunks/dep-2ebc1a75.js');
require('classnames');
require('../../locale/LocalReceiver.js');
require('../../config-provider/ConfigProvider.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-62452fcb.js');
require('../../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../../_chunks/dep-5a0b2388.js');
require('../../_chunks/dep-c03abb8d.js');
require('../../_chunks/dep-93691cd7.js');
require('../../_chunks/dep-4d53c647.js');
require('../../_chunks/dep-0d2e37a8.js');
require('../../_chunks/dep-24d4266a.js');
require('../../_chunks/dep-4422ab9c.js');
require('../../_chunks/dep-d5965f49.js');
require('../../_chunks/dep-cfd04a4b.js');
require('../../_chunks/dep-9aa61227.js');
require('../../_chunks/dep-f9fc748e.js');
require('../../_chunks/dep-39cfa1e8.js');
require('../../_chunks/dep-5a308fe8.js');
require('../../_chunks/dep-ab975a03.js');
require('../../_chunks/dep-bf3c4644.js');
require('../../_chunks/dep-810d56ec.js');
require('../../_chunks/dep-2f2e3172.js');
require('../../_chunks/dep-e121d70e.js');
require('../../_chunks/dep-bd0ab4be.js');
require('../../_chunks/dep-0da99b78.js');
require('../../_chunks/dep-4edddcbd.js');
require('../../_chunks/dep-831ea6d9.js');
require('../../_chunks/dep-bf0e5957.js');
require('../../_chunks/dep-349377fd.js');
require('../../_chunks/dep-9ee1931f.js');
require('../../_chunks/dep-e57f7de9.js');
require('../../_chunks/dep-d371704c.js');
require('../../_chunks/dep-aca4abf9.js');
require('../../_chunks/dep-a422f8bb.js');
require('../../button/index.js');
require('../../button/Button.js');
require('../../_chunks/dep-d4a1910a.js');
require('../../hooks/useConfig.js');
require('../../hooks/useDomRefCallback.js');
require('../../hooks/useRipple.js');
require('../../_chunks/dep-0030e873.js');
require('../../hooks/useAnimation.js');
require('../../_chunks/dep-2e323406.js');
require('../../_chunks/dep-c340510d.js');
require('../../loading/index.js');
require('../../loading/Loading.js');
require('../../common/Portal.js');
require('react-dom');
require('../../hooks/useLayoutEffect.js');
require('../../loading/gradient.js');
require('../../_chunks/dep-5aec375e.js');
require('../../_chunks/dep-4d46699b.js');
require('../../_chunks/dep-c02b300c.js');
require('../../loading/defaultProps.js');
require('../../hooks/useDefaultProps.js');
require('../../loading/plugin.js');
require('../../_util/react-render.js');
require('../../_chunks/dep-e15a33e9.js');
require('../../common/PluginContainer.js');
require('../../button/defaultProps.js');
require('../../_util/parseTNode.js');
require('../../_chunks/dep-e13830e4.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ExtraContent(props) {
  var presets = props.presets,
    enableTimePicker = props.enableTimePicker,
    presetsPlacement = props.presetsPlacement,
    onPresetClick = props.onPresetClick,
    onConfirmClick = props.onConfirmClick,
    selectedValue = props.selectedValue,
    needConfirm = props.needConfirm;
  var showPanelFooter = enableTimePicker && needConfirm || presets;
  return showPanelFooter ? /* @__PURE__ */React__default["default"].createElement(datePicker_base_Footer["default"], {
    presets: presets,
    onPresetClick: onPresetClick,
    enableTimePicker: enableTimePicker,
    onConfirmClick: onConfirmClick,
    presetsPlacement: presetsPlacement,
    selectedValue: selectedValue,
    needConfirm: needConfirm
  }) : null;
}

exports["default"] = ExtraContent;
//# sourceMappingURL=ExtraContent.js.map
