/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var useIsFirstRender = function useIsFirstRender() {
  var isFirstRenderRef = React.useRef(true);
  if (isFirstRenderRef.current) {
    isFirstRenderRef.current = false;
    return true;
  }
  return isFirstRenderRef.current;
};

exports["default"] = useIsFirstRender;
//# sourceMappingURL=useIsFirstRender.js.map
