/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var hooks_useIsFirstRender = require('./useIsFirstRender.js');
var hooks_useLayoutEffect = require('./useLayoutEffect.js');
require('react');
require('../_chunks/dep-2e323406.js');
require('../_chunks/dep-c340510d.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-0d2e37a8.js');

var useUpdateLayoutEffect = function useUpdateLayoutEffect(callback, dependency) {
  var isFirstRender = hooks_useIsFirstRender["default"]();
  hooks_useLayoutEffect["default"](function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

exports["default"] = useUpdateLayoutEffect;
//# sourceMappingURL=useUpdateLayoutEffect.js.map
