/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-1135362e.js');
var React = require('react');
var require$$0 = require('react-dom');
var imageViewer_ImageViewerMini = require('../_chunks/dep-ea4fef74.js');
var imageViewer_defaultProps = require('./defaultProps.js');
var imageViewer_hooks_useImageScale = require('./hooks/useImageScale.js');
var imageViewer_hooks_useList = require('./hooks/useList.js');
var imageViewer_hooks_useViewerScale = require('./hooks/useViewerScale.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var hooks_useDefaultProps = require('../hooks/useDefaultProps.js');
var _util_style = require('../_chunks/dep-2e323406.js');
var hooks_useAttach = require('../hooks/useAttach.js');
var isFunction = require('../_chunks/dep-cfd04a4b.js');
require('../_chunks/dep-2ebc1a75.js');
require('../_chunks/dep-d4a1910a.js');
require('../_chunks/dep-36f2c0c2.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-e15a33e9.js');
require('tdesign-icons-react');
require('classnames');
require('../_chunks/dep-d2f9d8ad.js');
require('../_chunks/dep-e13830e4.js');
require('../_chunks/dep-9aa61227.js');
require('../_chunks/dep-c340510d.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-0d2e37a8.js');
require('../_chunks/dep-c02b300c.js');
require('../hooks/useImagePreviewUrl.js');
require('../_chunks/dep-75514aca.js');
require('../tooltip/index.js');
require('../tooltip/Tooltip.js');
require('../popup/index.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../hooks/useAnimation.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-62452fcb.js');
require('../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../_chunks/dep-5a0b2388.js');
require('../_chunks/dep-c03abb8d.js');
require('../_chunks/dep-93691cd7.js');
require('../_chunks/dep-4422ab9c.js');
require('../_chunks/dep-d5965f49.js');
require('../_chunks/dep-f9fc748e.js');
require('../_chunks/dep-39cfa1e8.js');
require('../_chunks/dep-5a308fe8.js');
require('../_chunks/dep-ab975a03.js');
require('../_chunks/dep-bf3c4644.js');
require('../_chunks/dep-810d56ec.js');
require('../_chunks/dep-2f2e3172.js');
require('../_chunks/dep-e121d70e.js');
require('../_chunks/dep-bd0ab4be.js');
require('../_chunks/dep-0da99b78.js');
require('../_chunks/dep-4edddcbd.js');
require('../_chunks/dep-831ea6d9.js');
require('../common/Portal.js');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-c6c72aff.js');
require('../_chunks/dep-05e58abe.js');
require('../_chunks/dep-4a4a845f.js');
require('../_chunks/dep-9ee1931f.js');
require('../_chunks/dep-e57f7de9.js');
require('../_chunks/dep-d371704c.js');
require('../_chunks/dep-aca4abf9.js');
require('../_chunks/dep-a422f8bb.js');
require('../_chunks/dep-b6a887a7.js');
require('../_chunks/dep-888c17ef.js');
require('../_chunks/dep-825271ec.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/usePopper.js');
require('../_chunks/dep-4d46699b.js');
require('@popperjs/core');
require('react-fast-compare');
require('../_util/noop.js');
require('../_chunks/dep-7603c5b0.js');
require('../_chunks/dep-8ad5b41f.js');
require('../_chunks/dep-bacf1f7c.js');
require('../_chunks/dep-f9468320.js');
require('../popup/PopupPlugin.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-bf0e5957.js');
require('../_chunks/dep-349377fd.js');
require('../tooltip/defaultProps.js');
require('../tooltip/TooltipLite.js');
require('../hooks/useSwitch.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-b24245bf.js');
require('../locale/LocalReceiver.js');
require('./utils.js');
require('../dialog/index.js');
require('../dialog/Dialog.js');
require('../hooks/useSetState.js');
require('../dialog/defaultProps.js');
require('../dialog/DialogCard.js');
require('../button/index.js');
require('../button/Button.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-0030e873.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../_chunks/dep-5aec375e.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../button/defaultProps.js');
require('../_util/parseTNode.js');
require('../hooks/useGlobalIcon.js');
require('../dialog/hooks/useDialogEsc.js');
require('../dialog/hooks/useLockStyle.js');
require('../_chunks/dep-dc961b6b.js');
require('../dialog/hooks/useDialogPosition.js');
require('../dialog/hooks/useDialogDrag.js');
require('../dialog/utils.js');
require('../_chunks/dep-fccfa508.js');
require('../dialog/plugin.js');
require('./hooks/useMirror.js');
require('./hooks/usePosition.js');
require('./hooks/useIndex.js');
require('./hooks/useRotate.js');
require('./hooks/useScale.js');
require('./hooks/useIconMap.js');
require('../image/index.js');
require('../image/Image.js');
require('../_chunks/dep-61f98c51.js');
require('../image/defaultProps.js');
require('../space/index.js');
require('../space/Space.js');
require('../space/defaultProps.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var ImageViewer = function ImageViewer(originalProps) {
  var props = hooks_useDefaultProps["default"](originalProps, imageViewer_defaultProps.imageViewerDefaultProps);
  var attach = props.attach,
    mode = props.mode,
    trigger = props.trigger,
    images = props.images,
    title = props.title,
    imageScaleD = props.imageScale,
    viewerScaleD = props.viewerScale;
  var imageViewerAttach = hooks_useAttach["default"]("imageViewer", attach);
  var _useControlled = hooks_useControlled["default"](props, "visible", function (visible2, context) {
      var _props$onClose;
      !visible2 && (props === null || props === void 0 || (_props$onClose = props.onClose) === null || _props$onClose === void 0 ? void 0 : _props$onClose.call(props, context));
    }),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    visible = _useControlled2[0],
    setVisible = _useControlled2[1];
  var _useState = React.useState(false),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    visibled = _useState2[0],
    setVisibled = _useState2[1];
  var list = imageViewer_hooks_useList["default"](images);
  var imageScale = imageViewer_hooks_useImageScale["default"](imageScaleD);
  var viewerScale = imageViewer_hooks_useViewerScale["default"](viewerScaleD);
  var isMini = mode === "modeless";
  var close = function close(context) {
    setVisible(false, context);
    setTimeout(function () {
      return setVisibled(false);
    }, 196);
  };
  var open = function open() {
    if (!images) return;
    setVisible(true, null);
    setVisibled(true);
  };
  var uiImage = isFunction.isFunction(trigger) ? trigger({
    open: open,
    close: close,
    onOpen: open,
    onClose: close
  }) : trigger;
  var attachElement = React.useMemo(function () {
    if (!_util_style.canUseDocument || !imageViewerAttach) return null;
    if (typeof imageViewerAttach === "string") {
      return document.querySelector(imageViewerAttach);
    }
    if (isFunction.isFunction(imageViewerAttach)) {
      return imageViewerAttach();
    }
  }, [imageViewerAttach]);
  return /* @__PURE__ */React__default["default"].createElement(React__default["default"].Fragment, null, uiImage, (visibled || visible) && /*#__PURE__*/require$$0.createPortal(/* @__PURE__ */React__default["default"].createElement(imageViewer_ImageViewerMini.ImageModal, {
    title: title,
    visible: visible,
    images: list,
    isMini: isMini,
    imageScale: imageScale,
    viewerScale: viewerScale,
    zIndex: props.zIndex,
    defaultIndex: props.defaultIndex,
    index: props.index,
    onIndexChange: props.onIndexChange,
    onDownload: props.onDownload,
    draggable: props.draggable,
    closeOnOverlay: props.closeOnOverlay,
    closeBtn: props.closeBtn,
    showOverlay: props.showOverlay,
    closeOnEscKeydown: props.closeOnEscKeydown,
    onClose: close,
    onOpen: open,
    imageReferrerpolicy: props.imageReferrerpolicy
  }), attachElement));
};
ImageViewer.displayName = "ImageViewer";

exports["default"] = ImageViewer;
//# sourceMappingURL=ImageViewer.js.map
