/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-1135362e.js');
var React = require('react');
var hooks_useConfig = require('../../hooks/useConfig.js');
var locale_LocalReceiver = require('../../locale/LocalReceiver.js');
require('../../_chunks/dep-2ebc1a75.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-36f2c0c2.js');
require('../../_chunks/dep-a483aecf.js');
require('../../_chunks/dep-62452fcb.js');
require('../../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../../_chunks/dep-5a0b2388.js');
require('../../_chunks/dep-c03abb8d.js');
require('../../_chunks/dep-93691cd7.js');
require('../../_chunks/dep-4d53c647.js');
require('../../_chunks/dep-0d2e37a8.js');
require('../../_chunks/dep-24d4266a.js');
require('../../_chunks/dep-4422ab9c.js');
require('../../_chunks/dep-d5965f49.js');
require('../../_chunks/dep-cfd04a4b.js');
require('../../_chunks/dep-9aa61227.js');
require('../../_chunks/dep-f9fc748e.js');
require('../../_chunks/dep-39cfa1e8.js');
require('../../_chunks/dep-5a308fe8.js');
require('../../_chunks/dep-ab975a03.js');
require('../../_chunks/dep-bf3c4644.js');
require('../../_chunks/dep-810d56ec.js');
require('../../_chunks/dep-2f2e3172.js');
require('../../_chunks/dep-e121d70e.js');
require('../../_chunks/dep-bd0ab4be.js');
require('../../_chunks/dep-0da99b78.js');
require('../../_chunks/dep-4edddcbd.js');
require('../../_chunks/dep-831ea6d9.js');
require('../../config-provider/ConfigProvider.js');
require('../../_chunks/dep-bf0e5957.js');
require('../../_chunks/dep-349377fd.js');
require('../../_chunks/dep-9ee1931f.js');
require('../../_chunks/dep-e57f7de9.js');
require('../../_chunks/dep-d371704c.js');
require('../../_chunks/dep-aca4abf9.js');
require('../../_chunks/dep-a422f8bb.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function useTotal(props) {
  var _useLocaleReceiver = locale_LocalReceiver.useLocaleReceiver("pagination"),
    _useLocaleReceiver2 = slicedToArray._slicedToArray(_useLocaleReceiver, 2),
    locale = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  var name = "".concat(classPrefix, "-pagination");
  var totalContent = props.totalContent,
    pageSize = props.pageSize,
    current = props.current,
    total = props.total;
  var totalControl = null;
  if (totalContent === false) return {
    totalControl: totalControl
  };
  var renderTotalContent = function renderTotalContent() {
    if (typeof totalContent === "boolean") {
      return totalContent ? t(locale.total, {
        total: total
      }) : null;
    }
    if (typeof totalContent === "function") {
      var start = (current - 1) * pageSize;
      var end = Math.min(total, start + pageSize);
      return totalContent(total, [start + 1, end]);
    }
    return totalContent;
  };
  totalControl = /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(name, "__total")
  }, renderTotalContent());
  return {
    totalControl: totalControl
  };
}

exports["default"] = useTotal;
//# sourceMappingURL=useTotal.js.map
