/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-36f2c0c2.js');
var slicedToArray = require('../_chunks/dep-1135362e.js');
var React = require('react');
var classNames = require('classnames');
var popup_index = require('../popup/index.js');
var hooks_useConfig = require('../hooks/useConfig.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var locale_LocalReceiver = require('../locale/LocalReceiver.js');
var popconfirm_Popcontent = require('./Popcontent.js');
var popconfirm_defaultProps = require('./defaultProps.js');
var hooks_useDefaultProps = require('../hooks/useDefaultProps.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-2ebc1a75.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../hooks/useAnimation.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-62452fcb.js');
require('../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../_chunks/dep-5a0b2388.js');
require('../_chunks/dep-c03abb8d.js');
require('../_chunks/dep-93691cd7.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-0d2e37a8.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-4422ab9c.js');
require('../_chunks/dep-d5965f49.js');
require('../_chunks/dep-cfd04a4b.js');
require('../_chunks/dep-9aa61227.js');
require('../_chunks/dep-f9fc748e.js');
require('../_chunks/dep-39cfa1e8.js');
require('../_chunks/dep-5a308fe8.js');
require('../_chunks/dep-ab975a03.js');
require('../_chunks/dep-bf3c4644.js');
require('../_chunks/dep-810d56ec.js');
require('../_chunks/dep-2f2e3172.js');
require('../_chunks/dep-e121d70e.js');
require('../_chunks/dep-bd0ab4be.js');
require('../_chunks/dep-0da99b78.js');
require('../_chunks/dep-4edddcbd.js');
require('../_chunks/dep-831ea6d9.js');
require('../common/Portal.js');
require('react-dom');
require('../_chunks/dep-2e323406.js');
require('../_chunks/dep-c340510d.js');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-c6c72aff.js');
require('../_chunks/dep-05e58abe.js');
require('../_chunks/dep-4a4a845f.js');
require('../_chunks/dep-9ee1931f.js');
require('../_chunks/dep-e57f7de9.js');
require('../_chunks/dep-d371704c.js');
require('../_chunks/dep-aca4abf9.js');
require('../_chunks/dep-a422f8bb.js');
require('../_chunks/dep-b6a887a7.js');
require('../_chunks/dep-888c17ef.js');
require('../_chunks/dep-825271ec.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('../_chunks/dep-4d46699b.js');
require('@popperjs/core');
require('react-fast-compare');
require('../_util/noop.js');
require('../_chunks/dep-7603c5b0.js');
require('../_chunks/dep-8ad5b41f.js');
require('../_chunks/dep-bacf1f7c.js');
require('../_chunks/dep-f9468320.js');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-e15a33e9.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-bf0e5957.js');
require('../_chunks/dep-349377fd.js');
require('tdesign-icons-react');
require('../button/index.js');
require('../button/Button.js');
require('../_chunks/dep-d4a1910a.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-0030e873.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../_chunks/dep-5aec375e.js');
require('../_chunks/dep-c02b300c.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../button/defaultProps.js');
require('../_util/parseTNode.js');
require('../_chunks/dep-e13830e4.js');
require('../hooks/useGlobalIcon.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Popconfirm = /*#__PURE__*/React.forwardRef(function (originalProps, ref) {
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  var _useLocaleReceiver = locale_LocalReceiver.useLocaleReceiver("popconfirm"),
    _useLocaleReceiver2 = slicedToArray._slicedToArray(_useLocaleReceiver, 2),
    local = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  var cancelContent = typeof local.cancel === "string" ? local.cancel : local.cancel.content;
  var confirmContent = typeof local.confirm === "string" ? local.confirm : local.confirm.content;
  var props = hooks_useDefaultProps["default"](originalProps, popconfirm_defaultProps.popconfirmDefaultProps);
  var _props$cancelBtn = props.cancelBtn,
    cancelBtn = _props$cancelBtn === void 0 ? t(cancelContent) : _props$cancelBtn,
    _props$confirmBtn = props.confirmBtn,
    confirmBtn = _props$confirmBtn === void 0 ? t(confirmContent) : _props$confirmBtn;
  var _useControlled = hooks_useControlled["default"](props, "visible", props.onVisibleChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    visible = _useControlled2[0],
    setVisible = _useControlled2[1];
  return /* @__PURE__ */React__default["default"].createElement(popup_index.Popup, _objectSpread(_objectSpread({
    ref: ref
  }, props), {}, {
    visible: visible,
    trigger: "click",
    onVisibleChange: function onVisibleChange(visible2) {
      return setVisible(visible2);
    },
    overlayClassName: classNames__default["default"]("".concat(classPrefix, "-popconfirm")),
    content: /* @__PURE__ */React__default["default"].createElement(popconfirm_Popcontent["default"], _objectSpread(_objectSpread({
      cancelBtn: cancelBtn,
      confirmBtn: confirmBtn
    }, props), {}, {
      onClose: function onClose(context) {
        return setVisible(false, context);
      }
    }))
  }, props.popupProps));
});
Popconfirm.displayName = "Popconfirm";

exports["default"] = Popconfirm;
//# sourceMappingURL=Popconfirm.js.map
