/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tag_Tag = require('./Tag.js');
var tag_CheckTag = require('./CheckTag.js');
var tag_CheckTagGroup = require('./CheckTagGroup.js');
var _util_forwardRefWithStatics = require('../_util/forwardRefWithStatics.js');
require('../_chunks/dep-36f2c0c2.js');
require('../_chunks/dep-a483aecf.js');
require('../_chunks/dep-d4a1910a.js');
require('react');
require('classnames');
require('tdesign-icons-react');
require('tinycolor2');
require('../_util/noop.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-62452fcb.js');
require('../_chunks/dep-6a2c14e7.js');
require('dayjs');
require('../_chunks/dep-5a0b2388.js');
require('../_chunks/dep-c03abb8d.js');
require('../_chunks/dep-93691cd7.js');
require('../_chunks/dep-4d53c647.js');
require('../_chunks/dep-0d2e37a8.js');
require('../_chunks/dep-24d4266a.js');
require('../_chunks/dep-4422ab9c.js');
require('../_chunks/dep-d5965f49.js');
require('../_chunks/dep-cfd04a4b.js');
require('../_chunks/dep-9aa61227.js');
require('../_chunks/dep-f9fc748e.js');
require('../_chunks/dep-39cfa1e8.js');
require('../_chunks/dep-5a308fe8.js');
require('../_chunks/dep-ab975a03.js');
require('../_chunks/dep-bf3c4644.js');
require('../_chunks/dep-810d56ec.js');
require('../_chunks/dep-2f2e3172.js');
require('../_chunks/dep-e121d70e.js');
require('../_chunks/dep-bd0ab4be.js');
require('../_chunks/dep-0da99b78.js');
require('../_chunks/dep-4edddcbd.js');
require('../_chunks/dep-831ea6d9.js');
require('../hooks/useGlobalIcon.js');
require('./defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../_chunks/dep-1135362e.js');
require('../_chunks/dep-2ebc1a75.js');
require('../_chunks/dep-a844b8f2.js');
require('../hooks/useControlled.js');
require('../_chunks/dep-7603c5b0.js');
require('../_chunks/dep-8ad5b41f.js');
require('../_chunks/dep-bacf1f7c.js');
require('../_chunks/dep-f9468320.js');
require('../_chunks/dep-825271ec.js');
require('hoist-non-react-statics');

var Tag = _util_forwardRefWithStatics["default"](tag_Tag.TagFunction, {
  CheckTag: tag_CheckTag["default"],
  CheckTagGroup: tag_CheckTagGroup["default"]
});
Tag.displayName = "Tag";
var CheckTag = tag_CheckTag["default"];
var CheckTagGroup = tag_CheckTagGroup["default"];

exports.CheckTag = CheckTag;
exports.CheckTagGroup = CheckTagGroup;
exports.Tag = Tag;
exports["default"] = Tag;
//# sourceMappingURL=index.js.map
