/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-1135362e.js');
var React = require('react');
var hooks_useControlled = require('../../hooks/useControlled.js');
require('../../_chunks/dep-2ebc1a75.js');
require('../../_util/noop.js');
require('../../_chunks/dep-7603c5b0.js');
require('../../_chunks/dep-8ad5b41f.js');
require('../../_chunks/dep-bacf1f7c.js');
require('../../_chunks/dep-f9468320.js');
require('../../_chunks/dep-4d53c647.js');
require('../../_chunks/dep-a483aecf.js');
require('../../_chunks/dep-24d4266a.js');
require('../../_chunks/dep-825271ec.js');
require('../../_chunks/dep-0d2e37a8.js');

function useControllable(props) {
  var _useControlled = hooks_useControlled["default"](props, "value", props.onChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    value = _useControlled2[0],
    onChange = _useControlled2[1];
  var _useControlled3 = hooks_useControlled["default"](props, "expanded", props.onExpand),
    _useControlled4 = slicedToArray._slicedToArray(_useControlled3, 2),
    expanded = _useControlled4[0],
    onExpand = _useControlled4[1];
  var _useControlled5 = hooks_useControlled["default"](props, "actived", props.onActive),
    _useControlled6 = slicedToArray._slicedToArray(_useControlled5, 2),
    actived = _useControlled6[0],
    onActive = _useControlled6[1];
  var _useState = React.useState([]),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    indeterminate = _useState2[0],
    setTreeIndeterminate = _useState2[1];
  return {
    value: value,
    onChange: onChange,
    expanded: expanded,
    onExpand: onExpand,
    actived: actived,
    onActive: onActive,
    setTreeIndeterminate: setTreeIndeterminate,
    indeterminate: indeterminate
  };
}

exports["default"] = useControllable;
//# sourceMappingURL=useControllable.js.map
