/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import React from 'react';

var CollapseContext = /*#__PURE__*/React.createContext({
  defaultExpandAll: false,
  disabled: false,
  expandIconPlacement: "left",
  expandOnRowClick: true,
  expandIcon: true
});
var useCollapseContext = function useCollapseContext() {
  return React.useContext(CollapseContext);
};

export { CollapseContext as default, useCollapseContext };
//# sourceMappingURL=CollapseContext.js.map
