/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { useEffect } from 'react';
import useIsFirstRender from './useIsFirstRender.js';

var useUpdateEffect = function useUpdateEffect(callback, dependency) {
  var isFirstRender = useIsFirstRender();
  useEffect(function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

export { useUpdateEffect as default };
//# sourceMappingURL=useUpdateEffect.js.map
