/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Menu$1 from './Menu.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import 'react';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import './MenuContext.js';
import '../_util/noop.js';
import './_util/constant.js';
import './hooks/useMenuContext.js';
import '../_chunks/dep-a5c7489a.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-4501cb83.js';
import './_util/checkSubMenuChildExpanded.js';
import './_util/type.js';
import './defaultProps.js';
import './HeadMenu.js';
import '../_chunks/dep-5462fae6.js';
import '../tabs/index.js';
import '../tabs/Tabs.js';
import '../tabs/TabNav.js';
import 'tdesign-icons-react';
import '../tabs/useTabClass.js';
import '../tabs/TabNavItem.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8e2b9778.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-4fb528b6.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useGlobalIcon.js';
import '../tabs/TabBar.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLayoutEffect.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-b146be0a.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../tabs/TabPanel.js';
import '../tabs/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';
import '../tabs/style/index.js';
import '../tabs/type.js';
import './_util/checkSubMenuActive.js';
import './_util/checkMenuType.js';
import './_util/checkSubMenuChildrenActive.js';
import './SubMenu.js';
import 'react-transition-group';
import './_util/getSubMenuChildStyle.js';
import '../common/FakeArrow.js';
import './_util/cacularPaddingLeft.js';
import '../popup/index.js';
import '../popup/Popup.js';
import '../hooks/useControlled.js';
import '../common/Portal.js';
import 'react-dom';
import '../popup/hooks/useTrigger.js';
import 'react-is';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../popup/PopupPlugin.js';
import '../_chunks/dep-036ea6a5.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../popup/style/index.js';
import '../popup/type.js';
import './MenuItem.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../tooltip/style/index.js';
import '../tooltip/type.js';
import './MenuGroup.js';

var Menu = Menu$1;

export { Menu, Menu as default };
//# sourceMappingURL=index.js.map
