/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import TagInput$1 from './TagInput.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import 'react';
import 'tdesign-icons-react';
import 'lodash-es';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';
import '../_util/noop.js';
import '../input/index.js';
import '../input/Input.js';
import '../_chunks/dep-5462fae6.js';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-4fb528b6.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../input/InputGroup.js';
import '../hooks/useControlled.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../input/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-b146be0a.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../input/useLengthLimit.js';
import '../_chunks/dep-c1de0c2f.js';
import '../_chunks/dep-a5c7489a.js';
import '../hooks/useDefaultProps.js';
import '../input/style/index.js';
import '../input/type.js';
import './useTagScroll.js';
import './useTagList.js';
import '../tag/index.js';
import '../tag/Tag.js';
import 'tinycolor2';
import '../tag/defaultProps.js';
import '../tag/CheckTag.js';
import '../_chunks/dep-f1d23980.js';
import '../tag/CheckTagGroup.js';
import '../tag/style/index.js';
import '../tag/type.js';
import './useHover.js';
import './defaultProps.js';

var TagInput = TagInput$1;

export { TagInput, TagInput as default };
//# sourceMappingURL=index.js.map
