/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

var prefix = "t-dynamic-css-";
function insertCSS(id, cssText) {
  var style;
  style = document.getElementById(prefix + id);
  if (!style) {
    style = document.createElement("style");
    style.id = prefix + id;
    document.getElementsByTagName("head")[0].appendChild(style);
  }
  if (style.textContent !== cssText) {
    style.textContent = cssText;
  }
  return style;
}

export { insertCSS as default };
//# sourceMappingURL=insertCSS.js.map
