/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import _ColorPickerPanel from './ColorPickerPanel.js';
import _ColorPicker from './ColorPicker.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import 'react';
import './components/panel/index.js';
import '../_chunks/dep-a5c7489a.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-4501cb83.js';
import 'classnames';
import '../_chunks/dep-c770b56d.js';
import '../_chunks/dep-b1a658e6.js';
import 'tinycolor2';
import '../_chunks/dep-11560925.js';
import 'lodash-es';
import '../_chunks/dep-e847313b.js';
import '../input/index.js';
import '../input/Input.js';
import '../_chunks/dep-5462fae6.js';
import 'tdesign-icons-react';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-4fb528b6.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';
import '../hooks/useGlobalIcon.js';
import '../input/InputGroup.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../locale/LocalReceiver.js';
import '../config-provider/ConfigProvider.js';
import '../input/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../input/useLengthLimit.js';
import '../_chunks/dep-7f6f136d.js';
import '../hooks/useDefaultProps.js';
import '../input-number/index.js';
import '../input-number/InputNumber.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8e2b9778.js';
import '../hooks/useAnimation.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../common/Portal.js';
import 'react-dom';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-395fc56d.js';
import '../common/PluginContainer.js';
import '../button/defaultProps.js';
import '../input-number/useInputNumber.js';
import '../_chunks/dep-397d5bc6.js';
import '../hooks/useCommonClassName.js';
import '../input-number/defaultProps.js';
import './hooks/useClassNames.js';
import './defaultProps.js';
import './components/panel/linear-gradient.js';
import './components/panel/saturation.js';
import '../hooks/useDrag.js';
import './components/panel/hue.js';
import './components/panel/slider.js';
import './hooks/useStyles.js';
import './components/panel/alpha.js';
import './components/panel/format/index.js';
import '../select/index.js';
import '../select/base/Select.js';
import '../_util/helper.js';
import '../select/util/helper.js';
import '../select/base/OptionGroup.js';
import '../select/defaultProps.js';
import '../select/base/Option.js';
import '../common/FakeArrow.js';
import '../select-input/index.js';
import '../select-input/SelectInput.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../popup/hooks/useTrigger.js';
import 'react-is';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../popup/PopupPlugin.js';
import '../select-input/useSingle.js';
import '../select-input/useMultiple.js';
import '../tag-input/index.js';
import '../tag-input/TagInput.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';
import '../tag-input/useTagScroll.js';
import '../tag-input/useTagList.js';
import '../tag/index.js';
import '../tag/Tag.js';
import '../tag/defaultProps.js';
import '../tag/CheckTag.js';
import '../_chunks/dep-e0fe818c.js';
import '../tag/CheckTagGroup.js';
import '../tag-input/useHover.js';
import '../tag-input/defaultProps.js';
import '../select-input/useOverlayInnerStyle.js';
import '../select-input/defaultProps.js';
import '../select/base/PopupContent.js';
import '../select/hooks/usePanelVirtualScroll.js';
import '../hooks/useVirtualScroll.js';
import '../hooks/useResizeObserver.js';
import '../select/hooks/useOptions.js';
import './components/panel/header.js';
import '../radio/index.js';
import '../_chunks/dep-38dc9905.js';
import '../common/Check.js';
import '../_chunks/dep-beace92f.js';
import '../radio/defaultProps.js';
import '../radio/useKeyboard.js';
import './components/panel/swatches.js';
import './components/trigger.js';

var ColorPickerPanel = _ColorPickerPanel;
var ColorPicker = _ColorPicker;

export { ColorPicker, ColorPickerPanel, ColorPicker as default };
//# sourceMappingURL=index.js.map
