/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import useConfig from './useConfig.js';
import 'react';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import 'lodash-es';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';

function useGlobalIcon(tdIcon) {
  var _useConfig = useConfig(),
    globalIcon = _useConfig.icon;
  var resultIcon = {};
  Object.keys(tdIcon).forEach(function (key) {
    resultIcon[key] = (globalIcon === null || globalIcon === void 0 ? void 0 : globalIcon[key]) || tdIcon[key];
  });
  return resultIcon;
}

export { useGlobalIcon as default };
//# sourceMappingURL=useGlobalIcon.js.map
