/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import ImageViewer$1 from './ImageViewer.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import 'react';
import 'react-dom';
import 'lodash-es';
import '../_chunks/dep-4af8d72c.js';
import '../_chunks/dep-5462fae6.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-395fc56d.js';
import 'tdesign-icons-react';
import 'classnames';
import '../_chunks/dep-397d5bc6.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../hooks/useImagePreviewUrl.js';
import '../_chunks/dep-380d434e.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useAnimation.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';
import '../common/Portal.js';
import '../_chunks/dep-4fb528b6.js';
import '../hooks/useLayoutEffect.js';
import '../popup/hooks/useTrigger.js';
import 'react-is';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '../_chunks/dep-a5c7489a.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../popup/PopupPlugin.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/ConfigProvider.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../locale/LocalReceiver.js';
import './utils.js';
import '../dialog/index.js';
import '../dialog/Dialog.js';
import '../hooks/useSetState.js';
import '../dialog/defaultProps.js';
import '../dialog/DialogCard.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8e2b9778.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../_chunks/dep-7f6f136d.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../hooks/useGlobalIcon.js';
import '../dialog/hooks/useDialogEsc.js';
import '../dialog/hooks/useLockStyle.js';
import '../_chunks/dep-74598f88.js';
import '../dialog/hooks/useDialogPosition.js';
import '../dialog/hooks/useDialogDrag.js';
import '../dialog/utils.js';
import '../dialog/plugin.js';
import './hooks/useMirror.js';
import './hooks/usePosition.js';
import './hooks/useIndex.js';
import './hooks/useRotate.js';
import './hooks/useScale.js';
import './hooks/useIconMap.js';
import '../image/index.js';
import '../image/Image.js';
import '../_chunks/dep-beace92f.js';
import '../image/defaultProps.js';
import '../space/index.js';
import '../space/Space.js';
import '../space/defaultProps.js';
import './defaultProps.js';
import './hooks/useImageScale.js';
import './hooks/useList.js';
import './hooks/useViewerScale.js';

var ImageViewer = ImageViewer$1;

export { ImageViewer, ImageViewer as default };
//# sourceMappingURL=index.js.map
