/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _typeof } from '../_chunks/dep-bff1a51f.js';
import { c as commonjsGlobal } from '../_chunks/dep-761c2704.js';
import dayjs from 'dayjs';

var ru = {exports: {}};

(function (module, exports) {
  !function (_, t) {
    module.exports = t(dayjs) ;
  }(commonjsGlobal, function (_) {

    function t(_) {
      return _ && "object" == _typeof(_) && "default" in _ ? _ : {
        "default": _
      };
    }
    var e = t(_),
      n = "января_февраля_марта_апреля_мая_июня_июля_августа_сентября_октября_ноября_декабря".split("_"),
      s = "январь_февраль_март_апрель_май_июнь_июль_август_сентябрь_октябрь_ноябрь_декабрь".split("_"),
      r = "янв._февр._мар._апр._мая_июня_июля_авг._сент._окт._нояб._дек.".split("_"),
      o = "янв._февр._март_апр._май_июнь_июль_авг._сент._окт._нояб._дек.".split("_"),
      i = /D[oD]?(\[[^[\]]*\]|\s)+MMMM?/;
    function d(_, t, e) {
      var n, s;
      return "m" === e ? t ? "минута" : "минуту" : _ + " " + (n = +_, s = {
        mm: t ? "минута_минуты_минут" : "минуту_минуты_минут",
        hh: "час_часа_часов",
        dd: "день_дня_дней",
        MM: "месяц_месяца_месяцев",
        yy: "год_года_лет"
      }[e].split("_"), n % 10 == 1 && n % 100 != 11 ? s[0] : n % 10 >= 2 && n % 10 <= 4 && (n % 100 < 10 || n % 100 >= 20) ? s[1] : s[2]);
    }
    var u = function u(_, t) {
      return i.test(t) ? n[_.month()] : s[_.month()];
    };
    u.s = s, u.f = n;
    var a = function a(_, t) {
      return i.test(t) ? r[_.month()] : o[_.month()];
    };
    a.s = o, a.f = r;
    var m = {
      name: "ru",
      weekdays: "воскресенье_понедельник_вторник_среда_четверг_пятница_суббота".split("_"),
      weekdaysShort: "вск_пнд_втр_срд_чтв_птн_сбт".split("_"),
      weekdaysMin: "вс_пн_вт_ср_чт_пт_сб".split("_"),
      months: u,
      monthsShort: a,
      weekStart: 1,
      yearStart: 4,
      formats: {
        LT: "H:mm",
        LTS: "H:mm:ss",
        L: "DD.MM.YYYY",
        LL: "D MMMM YYYY г.",
        LLL: "D MMMM YYYY г., H:mm",
        LLLL: "dddd, D MMMM YYYY г., H:mm"
      },
      relativeTime: {
        future: "через %s",
        past: "%s назад",
        s: "несколько секунд",
        m: d,
        mm: d,
        h: "час",
        hh: d,
        d: "день",
        dd: d,
        M: "месяц",
        MM: d,
        y: "год",
        yy: d
      },
      ordinal: function ordinal(_) {
        return _;
      },
      meridiem: function meridiem(_) {
        return _ < 4 ? "ночи" : _ < 12 ? "утра" : _ < 17 ? "дня" : "вечера";
      }
    };
    return e["default"].locale(m, null, !0), m;
  });
})(ru);

var ruRU = {
  autoComplete: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445"
  },
  pagination: {
    itemsPerPage: "{size} \u0448\u0442./\u0441\u0442\u0440.",
    jumpTo: "\u041F\u0435\u0440\u0435\u0439\u0442\u0438 \u043A",
    page: "\u0441\u0442\u0440.",
    total: "\u0412\u0441\u0435\u0433\u043E {total} \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u0434\u0430\u043D\u043D\u044B\u0445"
  },
  cascader: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430",
    placeholder: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435"
  },
  calendar: {
    yearSelection: "{year} \u0433\u043E\u0434",
    monthSelection: "{month} \u043C\u0435\u0441\u044F\u0446",
    yearRadio: "\u0413\u043E\u0434",
    monthRadio: "\u041C\u0435\u0441\u044F\u0446",
    hideWeekend: "\u0421\u043A\u0440\u044B\u0442\u044C \u0432\u044B\u0445\u043E\u0434\u043D\u044B\u0435",
    showWeekend: "\u041F\u043E\u043A\u0430\u0437\u0430\u0442\u044C \u0432\u044B\u0445\u043E\u0434\u043D\u044B\u0435",
    today: "\u0421\u0435\u0433\u043E\u0434\u043D\u044F",
    thisMonth: "\u042D\u0442\u043E\u0442 \u043C\u0435\u0441\u044F\u0446",
    week: "\u041F\u043D,\u0412\u0442,\u0421\u0440,\u0427\u0442,\u041F\u0442,\u0421\u0431,\u0412\u0441",
    cellMonth: "1 \u043C\u0435\u0441.,2 \u043C\u0435\u0441.,3 \u043C\u0435\u0441.,4 \u043C\u0435\u0441.,5 \u043C\u0435\u0441.,6 \u043C\u0435\u0441.,7 \u043C\u0435\u0441.,8 \u043C\u0435\u0441.,9 \u043C\u0435\u0441.,10 \u043C\u0435\u0441.,11 \u043C\u0435\u0441.,12 \u043C\u0435\u0441."
  },
  transfer: {
    title: "{checked} / {total} \u0448\u0442.",
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
    placeholder: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043A\u043B\u044E\u0447\u0435\u0432\u043E\u0435 \u0441\u043B\u043E\u0432\u043E \u0434\u043B\u044F \u043F\u043E\u0438\u0441\u043A\u0430"
  },
  timePicker: {
    dayjsLocale: "zh-cn",
    now: "\u0421\u0435\u0439\u0447\u0430\u0441",
    confirm: "\u041E\u043A",
    anteMeridiem: "\u0414\u043E \u043F\u043E\u043B\u0443\u0434\u043D\u044F",
    postMeridiem: "\u041F\u043E\u0441\u043B\u0435 \u043F\u043E\u043B\u0443\u0434\u043D\u044F",
    placeholder: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0432\u0440\u0435\u043C\u044F"
  },
  dialog: {
    confirm: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C",
    cancel: "\u041E\u0442\u043C\u0435\u043D\u0430"
  },
  drawer: {
    confirm: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C",
    cancel: "\u041E\u0442\u043C\u0435\u043D\u0430"
  },
  popconfirm: {
    confirm: {
      content: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C"
    },
    cancel: {
      content: "\u041E\u0442\u043C\u0435\u043D\u0430"
    }
  },
  table: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430, \u043F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430, \u043F\u043E\u0434\u043E\u0436\u0434\u0438\u0442\u0435",
    loadingMoreText: "\u041D\u0430\u0436\u043C\u0438\u0442\u0435, \u0447\u0442\u043E\u0431\u044B \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0431\u043E\u043B\u044C\u0448\u0435",
    filterInputPlaceholder: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u0441\u043E\u0434\u0435\u0440\u0436\u0430\u043D\u0438\u0435 (\u043D\u0435\u0442 \u0437\u043D\u0430\u0447\u0435\u043D\u0438\u044F \u043F\u043E \u0443\u043C\u043E\u043B\u0447\u0430\u043D\u0438\u044E)",
    sortAscendingOperationText: "\u0421\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u043F\u043E \u0432\u043E\u0437\u0440\u0430\u0441\u0442\u0430\u043D\u0438\u044E",
    sortCancelOperationText: "\u041E\u0442\u043C\u0435\u043D\u0438\u0442\u044C \u0441\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u043A\u0443",
    sortDescendingOperationText: "\u0421\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u043F\u043E \u0443\u0431\u044B\u0432\u0430\u043D\u0438\u044E",
    clearFilterResultButtonText: "\u041E\u0447\u0438\u0441\u0442\u0438\u0442\u044C \u0444\u0438\u043B\u044C\u0442\u0440",
    columnConfigButtonText: "\u041D\u0430\u0441\u0442\u0440\u043E\u0439\u043A\u0430 \u0441\u0442\u043E\u043B\u0431\u0446\u043E\u0432",
    columnConfigTitleText: "\u041D\u0430\u0441\u0442\u0440\u043E\u0439\u043A\u0430 \u0441\u0442\u043E\u043B\u0431\u0446\u043E\u0432 \u0442\u0430\u0431\u043B\u0438\u0446\u044B",
    columnConfigDescriptionText: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430, \u0432\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0441\u0442\u043E\u043B\u0431\u0446\u044B \u0434\u0430\u043D\u043D\u044B\u0445, \u043A\u043E\u0442\u043E\u0440\u044B\u0435 \u043D\u0443\u0436\u043D\u043E \u043E\u0442\u043E\u0431\u0440\u0430\u0437\u0438\u0442\u044C \u0432 \u0442\u0430\u0431\u043B\u0438\u0446\u0435",
    confirmText: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C",
    cancelText: "\u041E\u0442\u043C\u0435\u043D\u0430",
    resetText: "\u0421\u0431\u0440\u043E\u0441\u0438\u0442\u044C",
    selectAllText: "\u0412\u044B\u0431\u0440\u0430\u0442\u044C \u0432\u0441\u0435",
    searchResultText: "\u041F\u043E\u0438\u0441\u043A \xAB{result}\xBB, \u043D\u0430\u0439\u0434\u0435\u043D\u043E {count} \u0440\u0435\u0437\u0443\u043B\u044C\u0442\u0430\u0442\u043E\u0432"
  },
  select: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430",
    placeholder: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435"
  },
  tree: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445"
  },
  treeSelect: {
    empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430",
    placeholder: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435"
  },
  datePicker: {
    dayjsLocale: "ru",
    placeholder: {
      date: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0434\u0430\u0442\u0443",
      month: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u043C\u0435\u0441\u044F\u0446",
      year: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0433\u043E\u0434",
      quarter: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u043A\u0432\u0430\u0440\u0442\u0430\u043B",
      week: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u043D\u0435\u0434\u0435\u043B\u044E"
    },
    weekdays: ["\u041F\u043D", "\u0412\u0442", "\u0421\u0440", "\u0427\u0442", "\u041F\u0442", "\u0421\u0431", "\u0412\u0441"],
    months: ["\u042F\u043D\u0432\u0430\u0440\u044C", "\u0424\u0435\u0432\u0440\u0430\u043B\u044C", "\u041C\u0430\u0440\u0442", "\u0410\u043F\u0440\u0435\u043B\u044C", "\u041C\u0430\u0439", "\u0418\u044E\u043D\u044C", "\u0418\u044E\u043B\u044C", "\u0410\u0432\u0433\u0443\u0441\u0442", "\u0421\u0435\u043D\u0442\u044F\u0431\u0440\u044C", "\u041E\u043A\u0442\u044F\u0431\u0440\u044C", "\u041D\u043E\u044F\u0431\u0440\u044C", "\u0414\u0435\u043A\u0430\u0431\u0440\u044C"],
    quarters: ["1-\u0439 \u043A\u0432\u0430\u0440\u0442\u0430\u043B", "2-\u0439 \u043A\u0432\u0430\u0440\u0442\u0430\u043B", "3-\u0439 \u043A\u0432\u0430\u0440\u0442\u0430\u043B", "4-\u0439 \u043A\u0432\u0430\u0440\u0442\u0430\u043B"],
    rangeSeparator: "-",
    direction: "ltr",
    format: "DD.MM.YYYY",
    dayAriaLabel: "\u0414\u0435\u043D\u044C",
    weekAbbreviation: "\u041D\u0435\u0434\u0435\u043B\u044F",
    yearAriaLabel: "\u0413\u043E\u0434",
    monthAriaLabel: "\u041C\u0435\u0441\u044F\u0446",
    confirm: "\u041F\u043E\u0434\u0442\u0432\u0435\u0440\u0434\u0438\u0442\u044C",
    selectTime: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0432\u0440\u0435\u043C\u044F",
    selectDate: "\u0412\u044B\u0431\u0435\u0440\u0438\u0442\u0435 \u0434\u0430\u0442\u0443",
    nextYear: "\u0421\u043B\u0435\u0434\u0443\u044E\u0449\u0438\u0439 \u0433\u043E\u0434",
    preYear: "\u041F\u0440\u0435\u0434\u044B\u0434\u0443\u0449\u0438\u0439 \u0433\u043E\u0434",
    nextMonth: "\u0421\u043B\u0435\u0434\u0443\u044E\u0449\u0438\u0439 \u043C\u0435\u0441\u044F\u0446",
    preMonth: "\u041F\u0440\u0435\u0434\u044B\u0434\u0443\u0449\u0438\u0439 \u043C\u0435\u0441\u044F\u0446",
    preDecade: "\u041F\u0440\u0435\u0434\u044B\u0434\u0443\u0449\u0435\u0435 \u0434\u0435\u0441\u044F\u0442\u0438\u043B\u0435\u0442\u0438\u0435",
    nextDecade: "\u0421\u043B\u0435\u0434\u0443\u044E\u0449\u0435\u0435 \u0434\u0435\u0441\u044F\u0442\u0438\u043B\u0435\u0442\u0438\u0435",
    now: "\u0421\u0435\u0439\u0447\u0430\u0441"
  },
  upload: {
    sizeLimitMessage: "\u0420\u0430\u0437\u043C\u0435\u0440 \u0444\u0430\u0439\u043B\u0430 \u043D\u0435 \u0434\u043E\u043B\u0436\u0435\u043D \u043F\u0440\u0435\u0432\u044B\u0448\u0430\u0442\u044C {sizeLimit}",
    cancelUploadText: "\u041E\u0442\u043C\u0435\u043D\u0438\u0442\u044C \u0437\u0430\u0433\u0440\u0443\u0437\u043A\u0443",
    triggerUploadText: {
      fileInput: "\u0412\u044B\u0431\u0440\u0430\u0442\u044C \u0444\u0430\u0439\u043B",
      image: "\u041D\u0430\u0436\u043C\u0438\u0442\u0435, \u0447\u0442\u043E\u0431\u044B \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0438\u0437\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u0438\u0435",
      normal: "\u041D\u0430\u0436\u043C\u0438\u0442\u0435, \u0447\u0442\u043E\u0431\u044B \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C",
      reupload: "\u0412\u044B\u0431\u0440\u0430\u0442\u044C \u0437\u0430\u043D\u043E\u0432\u043E",
      continueUpload: "\u041F\u0440\u043E\u0434\u043E\u043B\u0436\u0438\u0442\u044C \u0432\u044B\u0431\u043E\u0440",
      "delete": "\u0423\u0434\u0430\u043B\u0438\u0442\u044C",
      uploading: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430"
    },
    dragger: {
      dragDropText: "\u041E\u0442\u043F\u0443\u0441\u0442\u0438\u0442\u0435 \u043C\u044B\u0448\u044C",
      draggingText: "\u041F\u0435\u0440\u0435\u0442\u0430\u0449\u0438\u0442\u0435 \u0432 \u044D\u0442\u0443 \u043E\u0431\u043B\u0430\u0441\u0442\u044C",
      clickAndDragText: "\u041D\u0430\u0436\u043C\u0438\u0442\u0435 \u043D\u0430 \u043A\u043D\u043E\u043F\u043A\u0443 \xAB\u0412\u044B\u0431\u0440\u0430\u0442\u044C \u0444\u0430\u0439\u043B\xBB \u0432\u044B\u0448\u0435 \u0438\u043B\u0438 \u043F\u0435\u0440\u0435\u0442\u0430\u0449\u0438\u0442\u0435 \u0444\u0430\u0439\u043B \u0432 \u044D\u0442\u0443 \u043E\u0431\u043B\u0430\u0441\u0442\u044C"
    },
    file: {
      fileNameText: "\u0418\u043C\u044F \u0444\u0430\u0439\u043B\u0430",
      fileSizeText: "\u0420\u0430\u0437\u043C\u0435\u0440 \u0444\u0430\u0439\u043B\u0430",
      fileStatusText: "\u0421\u0442\u0430\u0442\u0443\u0441",
      fileOperationText: "\u041E\u043F\u0435\u0440\u0430\u0446\u0438\u044F",
      fileOperationDateText: "\u0414\u0430\u0442\u0430 \u0437\u0430\u0433\u0440\u0443\u0437\u043A\u0438"
    },
    progress: {
      uploadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430",
      waitingText: "\u041E\u0436\u0438\u0434\u0430\u043D\u0438\u0435 \u0437\u0430\u0433\u0440\u0443\u0437\u043A\u0438",
      failText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430 \u043D\u0435 \u0443\u0434\u0430\u043B\u0430\u0441\u044C",
      successText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430 \u0443\u0441\u043F\u0435\u0448\u043D\u0430"
    }
  },
  form: {
    errorMessage: {
      date: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043F\u0440\u0430\u0432\u0438\u043B\u044C\u043D\u044B\u0439 ${name}",
      url: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043F\u0440\u0430\u0432\u0438\u043B\u044C\u043D\u044B\u0439 ${name}",
      whitespace: "${name} \u043D\u0435 \u043C\u043E\u0436\u0435\u0442 \u0431\u044B\u0442\u044C \u043F\u0443\u0441\u0442\u044B\u043C",
      required: "${name} \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0434\u043B\u044F \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u0438\u044F",
      max: "\u0414\u043B\u0438\u043D\u0430 \u0441\u0438\u043C\u0432\u043E\u043B\u043E\u0432 ${name} \u043D\u0435 \u0434\u043E\u043B\u0436\u043D\u0430 \u043F\u0440\u0435\u0432\u044B\u0448\u0430\u0442\u044C ${validate} \u0441\u0438\u043C\u0432\u043E\u043B\u043E\u0432",
      min: "\u0414\u043B\u0438\u043D\u0430 \u0441\u0438\u043C\u0432\u043E\u043B\u043E\u0432 ${name} \u043D\u0435 \u0434\u043E\u043B\u0436\u043D\u0430 \u0431\u044B\u0442\u044C \u043C\u0435\u043D\u044C\u0448\u0435 ${validate} \u0441\u0438\u043C\u0432\u043E\u043B\u043E\u0432",
      len: "\u0414\u043B\u0438\u043D\u0430 \u0441\u0438\u043C\u0432\u043E\u043B\u043E\u0432 ${name} \u0434\u043E\u043B\u0436\u043D\u0430 \u0431\u044B\u0442\u044C ${validate}",
      "enum": "${name} \u043C\u043E\u0436\u0435\u0442 \u0431\u044B\u0442\u044C \u0442\u043E\u043B\u044C\u043A\u043E ${validate} \u0438 \u0442.\u0434.",
      idcard: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043F\u0440\u0430\u0432\u0438\u043B\u044C\u043D\u044B\u0439 ${name}",
      telnumber: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043F\u0440\u0430\u0432\u0438\u043B\u044C\u043D\u044B\u0439 ${name}",
      pattern: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u043F\u0440\u0430\u0432\u0438\u043B\u044C\u043D\u044B\u0439 ${name}",
      validator: "${name} \u043D\u0435 \u0441\u043E\u043E\u0442\u0432\u0435\u0442\u0441\u0442\u0432\u0443\u0435\u0442 \u0442\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F\u043C",
      "boolean": "\u0422\u0438\u043F \u0434\u0430\u043D\u043D\u044B\u0445 ${name} \u0434\u043E\u043B\u0436\u0435\u043D \u0431\u044B\u0442\u044C \u0431\u0443\u043B\u0435\u0432\u044B\u043C",
      number: "${name} \u0434\u043E\u043B\u0436\u043D\u043E \u0431\u044B\u0442\u044C \u0447\u0438\u0441\u043B\u043E\u043C"
    },
    colonText: ":"
  },
  input: {
    placeholder: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435"
  },
  list: {
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430, \u043F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430, \u043F\u043E\u0434\u043E\u0436\u0434\u0438\u0442\u0435",
    loadingMoreText: "\u041D\u0430\u0436\u043C\u0438\u0442\u0435, \u0447\u0442\u043E\u0431\u044B \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0431\u043E\u043B\u044C\u0448\u0435"
  },
  alert: {
    expandText: "\u0420\u0430\u0437\u0432\u0435\u0440\u043D\u0443\u0442\u044C \u0431\u043E\u043B\u044C\u0448\u0435",
    collapseText: "\u0421\u0432\u0435\u0440\u043D\u0443\u0442\u044C"
  },
  anchor: {
    copySuccessText: "\u0421\u0441\u044B\u043B\u043A\u0430 \u0441\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u043D\u0430 \u0443\u0441\u043F\u0435\u0448\u043D\u043E",
    copyText: "\u0421\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0441\u0441\u044B\u043B\u043A\u0443"
  },
  colorPicker: {
    swatchColorTitle: "\u0421\u0438\u0441\u0442\u0435\u043C\u043D\u044B\u0435 \u043F\u0440\u0435\u0434\u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043B\u0435\u043D\u043D\u044B\u0435 \u0446\u0432\u0435\u0442\u0430",
    recentColorTitle: "\u041D\u0435\u0434\u0430\u0432\u043D\u043E \u0438\u0441\u043F\u043E\u043B\u044C\u0437\u043E\u0432\u0430\u043D\u043D\u044B\u0435 \u0446\u0432\u0435\u0442\u0430",
    clearConfirmText: "\u0412\u044B \u0443\u0432\u0435\u0440\u0435\u043D\u044B, \u0447\u0442\u043E \u0445\u043E\u0442\u0438\u0442\u0435 \u043E\u0447\u0438\u0441\u0442\u0438\u0442\u044C \u043D\u0435\u0434\u0430\u0432\u043D\u043E \u0438\u0441\u043F\u043E\u043B\u044C\u0437\u043E\u0432\u0430\u043D\u043D\u044B\u0435 \u0446\u0432\u0435\u0442\u0430?",
    singleColor: "\u0421\u043F\u043B\u043E\u0448\u043D\u043E\u0439",
    gradientColor: "\u0413\u0440\u0430\u0434\u0438\u0435\u043D\u0442"
  },
  guide: {
    finishButtonProps: {
      content: "\u0413\u043E\u0442\u043E\u0432\u043E",
      theme: "primary"
    },
    nextButtonProps: {
      content: "\u0421\u043B\u0435\u0434\u0443\u044E\u0449\u0438\u0439 \u0448\u0430\u0433",
      theme: "primary"
    },
    skipButtonProps: {
      content: "\u041F\u0440\u043E\u043F\u0443\u0441\u0442\u0438\u0442\u044C",
      theme: "default"
    },
    prevButtonProps: {
      content: "\u041F\u0440\u0435\u0434\u044B\u0434\u0443\u0449\u0438\u0439 \u0448\u0430\u0433",
      theme: "default"
    }
  },
  image: {
    errorText: "\u0418\u0437\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u0438\u0435 \u043D\u0435 \u043C\u043E\u0436\u0435\u0442 \u0431\u044B\u0442\u044C \u043E\u0442\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u043E",
    loadingText: "\u0417\u0430\u0433\u0440\u0443\u0437\u043A\u0430 \u0438\u0437\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u0438\u044F"
  },
  imageViewer: {
    errorText: "\u041D\u0435 \u0443\u0434\u0430\u043B\u043E\u0441\u044C \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0438\u0437\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u0438\u0435, \u043F\u043E\u043F\u0440\u043E\u0431\u0443\u0439\u0442\u0435 \u043F\u0435\u0440\u0435\u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C",
    mirrorTipText: "\u0417\u0435\u0440\u043A\u0430\u043B\u043E",
    rotateTipText: "\u041F\u043E\u0432\u043E\u0440\u043E\u0442",
    originalSizeTipText: "\u041E\u0440\u0438\u0433\u0438\u043D\u0430\u043B\u044C\u043D\u044B\u0439 \u0440\u0430\u0437\u043C\u0435\u0440"
  },
  typography: {
    expandText: "\u0440\u0430\u0441\u043A\u0440\u044B\u0432\u0430\u0442\u044C",
    collapseText: "\u0443\u0431\u0440\u0430\u0442\u044C",
    copiedText: "\u0421\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u043D\u043E \u0443\u0441\u043F\u0435\u0448\u043D\u043E"
  },
  rate: {
    rateText: ["\u0423\u0436\u0430\u0441\u043D\u043E", "\u0420\u0430\u0437\u043E\u0447\u0430\u0440\u043E\u0432\u0430\u043D", "\u041E\u0431\u044B\u0447\u043D\u044B\u0439", "\u0423\u0434\u043E\u0432\u043B\u0435\u0442\u0432\u043E\u0440\u0435\u043D\u043D\u044B\u0439", "\u0423\u0434\u0438\u0432\u043B\u0435\u043D\u043D\u044B\u0439"]
  },
  empty: {
    titleText: {
      maintenance: "\u0421\u0442\u0440\u043E\u0438\u0442\u0435\u043B\u044C\u0441\u0442\u0432\u043E",
      success: "\u0423\u0441\u043F\u0435\u0445",
      fail: "\u041F\u0440\u043E\u0432\u0430\u043B",
      empty: "\u041D\u0435\u0442 \u0434\u0430\u043D\u043D\u044B\u0445",
      networkError: "\u041E\u0448\u0438\u0431\u043A\u0430 \u0441\u0435\u0442\u0438"
    }
  },
  descriptions: {
    colonText: ":"
  },
  chat: {
    placeholder: "\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0435...",
    stopBtnText: "\u041E\u0441\u0442\u0430\u043D\u043E\u0432\u0438\u0442\u044C",
    refreshTipText: "\u0421\u0433\u0435\u043D\u0435\u0440\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0437\u0430\u043D\u043E\u0432\u043E",
    copyTipText: "\u041A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u0442\u044C",
    likeTipText: "\u041D\u0440\u0430\u0432\u0438\u0442\u0441\u044F",
    dislikeTipText: "\u041D\u0435 \u043D\u0440\u0430\u0432\u0438\u0442\u0441\u044F",
    copyCodeBtnText: "\u041A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u043A\u043E\u0434",
    copyCodeSuccessText: "\u0421\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u043D\u043E",
    clearHistoryBtnText: "\u041E\u0447\u0438\u0441\u0442\u0438\u0442\u044C \u0438\u0441\u0442\u043E\u0440\u0438\u044E",
    copyTextSuccess: "\u0423\u0441\u043F\u0435\u0448\u043D\u043E \u0441\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u043D\u043E \u0432 \u0431\u0443\u0444\u0435\u0440 \u043E\u0431\u043C\u0435\u043D\u0430",
    copyTextFail: "\u041D\u0435 \u0443\u0434\u0430\u043B\u043E\u0441\u044C \u0441\u043A\u043E\u043F\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0432 \u0431\u0443\u0444\u0435\u0440 \u043E\u0431\u043C\u0435\u043D\u0430",
    confirmClearHistory: "\u0412\u044B \u0443\u0432\u0435\u0440\u0435\u043D\u044B, \u0447\u0442\u043E \u0445\u043E\u0442\u0438\u0442\u0435 \u043E\u0447\u0438\u0441\u0442\u0438\u0442\u044C \u0432\u0441\u0435 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u044F?",
    loadingText: "\u0414\u0443\u043C\u0430\u044E...",
    loadingEndText: "\u0413\u043B\u0443\u0431\u043E\u043A\u043E \u043E\u0431\u0434\u0443\u043C\u0430\u043D\u043E"
  }
};

export { ruRU as default };
//# sourceMappingURL=ru_RU.js.map
