/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { MessagePlugin as MessagePlugin$1 } from './Message.js';
import MessageComponent from './MessageComponent.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-395fc56d.js';
import 'react';
import 'classnames';
import '../_util/react-render.js';
import 'react-dom';
import '../_util/noop.js';
import './const.js';
import './config.js';
import './defaultProps.js';
import './useMessageClass.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';
import '../config-provider/ConfigProvider.js';
import '../common/PluginContainer.js';
import './MessageClose.js';
import 'tdesign-icons-react';
import '../hooks/useGlobalIcon.js';
import './MessageIcon.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../_chunks/dep-4fb528b6.js';
import '../common/Portal.js';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-8e2b9778.js';
import '../_chunks/dep-7f6f136d.js';
import '../_chunks/dep-a5c7489a.js';
import '../hooks/useDomRefCallback.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../hooks/usePersistFn.js';

var Message = MessageComponent;
var message = MessagePlugin$1;
var MessagePlugin = MessagePlugin$1;

export { Message, MessagePlugin, Message as default, message };
//# sourceMappingURL=index.js.map
