/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _defineProperty } from '../_chunks/dep-f105ca38.js';
import classNames from 'classnames';
import React from 'react';
import FakeArrow from '../common/FakeArrow.js';
import useConfig from '../hooks/useConfig.js';
import '../_chunks/dep-bff1a51f.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';

var SelectArrow = function SelectArrow(_ref) {
  var isActive = _ref.isActive,
    isHighlight = _ref.isHighlight,
    disabled = _ref.disabled;
  var _useConfig = useConfig(),
    classPrefix = _useConfig.classPrefix;
  return /* @__PURE__ */React.createElement(FakeArrow, {
    isActive: isActive,
    disabled: disabled,
    className: classNames(_defineProperty(_defineProperty({}, "".concat(classPrefix, "-fake-arrow--highlight"), isHighlight), "".concat(classPrefix, "-fake-arrow--disable"), disabled))
  });
};

export { SelectArrow };
//# sourceMappingURL=SelectArrow.js.map
