/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function createHookContext(hook) {
  var Context = /*#__PURE__*/React.createContext(null);
  function Provider(props) {
    return /* @__PURE__ */React__default["default"].createElement(Context.Provider, {
      value: hook(props.value)
    }, props.children);
  }
  function use() {
    return React.useContext(Context);
  }
  return {
    Provider: Provider,
    use: use
  };
}

exports.createHookContext = createHookContext;
//# sourceMappingURL=createHookContext.js.map
