/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _util_style = require('../../_chunks/dep-2e323406.js');
var _util_scroll = require('../../_util/scroll.js');
require('../../_chunks/dep-c340510d.js');
require('../../_chunks/dep-4d53c647.js');
require('../../_chunks/dep-a483aecf.js');
require('../../_chunks/dep-24d4266a.js');
require('../../_chunks/dep-0d2e37a8.js');
require('raf');
require('../../_util/easing.js');

function scrollToElm(elm) {
  var rect = elm.getBoundingClientRect();
  if (!_util_style.elementInViewport(elm)) {
    var winHeight = _util_style.getWindowSize().height;
    _util_scroll.scrollTo(rect.top - (winHeight / 2 - rect.height / 2), {});
  }
}

exports["default"] = scrollToElm;
//# sourceMappingURL=scrollToElm.js.map
