/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../../_chunks/dep-36f2c0c2.js');
require('../../_chunks/dep-a483aecf.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var useImageScale = function useImageScale(imageScale) {
  var result = _objectSpread(_objectSpread({}, imageScale), {}, {
    max: 2,
    min: 0.5,
    step: 0.5
  });
  if ((imageScale === null || imageScale === void 0 ? void 0 : imageScale.min) !== void 0) result.min = imageScale.min;
  if ((imageScale === null || imageScale === void 0 ? void 0 : imageScale.max) !== void 0) result.max = imageScale.max;
  if ((imageScale === null || imageScale === void 0 ? void 0 : imageScale.step) !== void 0) result.step = imageScale.step;
  if ((imageScale === null || imageScale === void 0 ? void 0 : imageScale.defaultScale) !== void 0) {
    if (imageScale.defaultScale > result.max) {
      result.defaultScale = result.max;
    }
    if (imageScale.defaultScale < result.min) {
      result.defaultScale = result.min;
    }
  }
  return result;
};

exports["default"] = useImageScale;
//# sourceMappingURL=useImageScale.js.map
