/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-1135362e.js');
var React = require('react');
require('../../_chunks/dep-2ebc1a75.js');

var useMirror = function useMirror() {
  var _useState = React.useState(1),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    mirror = _useState2[0],
    setMirror = _useState2[1];
  var onMirror = React.useCallback(function () {
    setMirror(function (mirror2) {
      return mirror2 > 0 ? -1 : 1;
    });
  }, []);
  var onResetMirror = React.useCallback(function () {
    return setMirror(1);
  }, []);
  return {
    mirror: mirror,
    onResetMirror: onResetMirror,
    onMirror: onMirror
  };
};

exports["default"] = useMirror;
//# sourceMappingURL=useMirror.js.map
