/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var useViewerScale = function useViewerScale(viewerScale) {
  var result = {
    minWidth: 1e3,
    minHeight: 1e3
  };
  if ((viewerScale === null || viewerScale === void 0 ? void 0 : viewerScale.minWidth) !== void 0) result.minWidth = viewerScale.minWidth;
  if ((viewerScale === null || viewerScale === void 0 ? void 0 : viewerScale.minHeight) !== void 0) result.minHeight = viewerScale.minHeight;
  return result;
};

exports["default"] = useViewerScale;
//# sourceMappingURL=useViewerScale.js.map
