/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var pageSizeValidator = function pageSizeValidator(pageSize) {
  var pageSizeNumber;
  if (typeof pageSize !== "number") {
    pageSizeNumber = pageSize - 0;
  } else {
    pageSizeNumber = pageSize;
  }
  return !Number.isFinite(pageSizeNumber) && pageSizeNumber > 0;
};

exports.pageSizeValidator = pageSizeValidator;
//# sourceMappingURL=validators.js.map
