/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { A as AvatarGroup$1, _ as _Avatar } from '../_chunks/dep-a6819c6f.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-5462fae6.js';
import 'react';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../hooks/useCommonClassName.js';
import '../_util/composeRefs.js';
import './AvatarContext.js';
import './defaultProps.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-4fb528b6.js';
import '../hooks/useLatest.js';
import '../image/index.js';
import '../image/Image.js';
import 'tdesign-icons-react';
import '../_chunks/dep-beace92f.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../image/defaultProps.js';
import '../space/index.js';
import '../space/Space.js';
import 'react-is';
import '../_chunks/dep-c1de0c2f.js';
import '../_chunks/dep-a5c7489a.js';
import '../space/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../space/style/css.js';
import '../space/type.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useImagePreviewUrl.js';
import '../_chunks/dep-b146be0a.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../_chunks/dep-5c8d36ec.js';
import '../image/style/css.js';
import '../_util/parseTNode.js';

var AvatarGroup = AvatarGroup$1;
var Avatar = _Avatar;

export { Avatar, AvatarGroup, Avatar as default };
//# sourceMappingURL=index.js.map
