/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Dialog$1 from './Dialog.js';
import DialogCard$1 from './DialogCard.js';
import { DialogPlugin as DialogPlugin$1 } from './plugin.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-5462fae6.js';
import 'react';
import 'react-transition-group';
import 'classnames';
import '../_chunks/dep-b146be0a.js';
import '../_chunks/dep-ec9a9b6b.js';
import 'lodash-es';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../config-provider/type.js';
import '../common/Portal.js';
import 'react-dom';
import '../_chunks/dep-4fb528b6.js';
import '../hooks/useConfig.js';
import '../hooks/useLayoutEffect.js';
import '../hooks/useSetState.js';
import './defaultProps.js';
import './hooks/useDialogEsc.js';
import '../_chunks/dep-a5c7489a.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-b216dd63.js';
import '../_chunks/dep-c1de0c2f.js';
import './hooks/useDialogPosition.js';
import './hooks/useDialogDrag.js';
import './utils.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import 'tdesign-icons-react';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8e2b9778.js';
import '../hooks/useAnimation.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-036ea6a5.js';
import '../common/PluginContainer.js';
import '../loading/style/css.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../button/style/css.js';
import '../button/type.js';
import '../hooks/useGlobalIcon.js';

var Dialog = Dialog$1;
var DialogCard = DialogCard$1;
var dialog = DialogPlugin$1;
var DialogPlugin = DialogPlugin$1;

export { Dialog, DialogCard, DialogPlugin, Dialog as default, dialog };
//# sourceMappingURL=index.js.map
