/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _defineProperty } from '../../_chunks/dep-f105ca38.js';
import { pick } from 'lodash-es';
import classNames from 'classnames';
import useConfig from '../../hooks/useConfig.js';
import '../../_chunks/dep-bff1a51f.js';
import 'react';
import '../../config-provider/ConfigContext.js';
import '../../locale/zh_CN.js';
import '../../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../../_chunks/dep-3c66615e.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SelectInputPassthroughPropsKey = ["multiple", "style", "disabled", "minCollapsedNum", "popupProps", "clearable", "loading", "autoWidth", "borderless", "readonly"];
var useTreeSelectPassThroughProps = function useTreeSelectPassThroughProps(props) {
  var _props$popupProps;
  var _useConfig = useConfig(),
    classPrefix = _useConfig.classPrefix;
  return _objectSpread(_objectSpread({}, pick(props, SelectInputPassthroughPropsKey)), {}, {
    popupProps: _objectSpread(_objectSpread({}, props.popupProps), {}, {
      overlayClassName: classNames(props === null || props === void 0 || (_props$popupProps = props.popupProps) === null || _props$popupProps === void 0 ? void 0 : _props$popupProps.overlayClassName, "".concat(classPrefix, "-tree-select-popup"))
    })
  });
};

export { useTreeSelectPassThroughProps };
//# sourceMappingURL=useTreeSelectPassthroughProps.js.map
