/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _slicedToArray } from '../../_chunks/dep-4501cb83.js';
import { useState, useEffect } from 'react';
import '../../_chunks/dep-34d8fc80.js';

var useStyles = function useStyles(params, panelRectRef) {
  var color = params.color,
    value = params.value,
    maxValue = params.maxValue;
  var _useState = useState({
      left: "",
      color: ""
    }),
    _useState2 = _slicedToArray(_useState, 2),
    styles = _useState2[0],
    setStyles = _useState2[1];
  useEffect(function () {
    var width = panelRectRef.current.width;
    if (!width) {
      return;
    }
    var left = Math.round(Number(value) / Number(maxValue) * 100);
    setStyles({
      left: "".concat(left, "%"),
      color: color.rgb
    });
  }, [color.rgb, value]);
  return {
    styles: styles
  };
};

export { useStyles as default };
//# sourceMappingURL=useStyles.js.map
