/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Drawer$1 from './Drawer.js';
import { DrawerPlugin as DrawerPlugin$1 } from './plugin.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import 'react';
import 'classnames';
import 'lodash-es';
import 'react-transition-group';
import 'tdesign-icons-react';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../config-provider/type.js';
import '../button/index.js';
import '../button/Button.js';
import '../_chunks/dep-5462fae6.js';
import '../hooks/useConfig.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8e2b9778.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-4fb528b6.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-c1de0c2f.js';
import '../_chunks/dep-a5c7489a.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-036ea6a5.js';
import '../common/PluginContainer.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-b146be0a.js';
import '../_chunks/dep-ec9a9b6b.js';
import '../button/style/index.js';
import '../button/type.js';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import './hooks/useDrag.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-b216dd63.js';
import '../_util/scroll.js';
import 'raf';
import '../_util/easing.js';
import '../hooks/useAttach.js';
import '../hooks/useSetState.js';

var Drawer = Drawer$1;
var drawer = DrawerPlugin$1;
var DrawerPlugin = DrawerPlugin$1;

export { Drawer, DrawerPlugin, Drawer as default, drawer };
//# sourceMappingURL=index.js.map
