/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { useRef } from 'react';

var useIsFirstRender = function useIsFirstRender() {
  var isFirstRenderRef = useRef(true);
  if (isFirstRenderRef.current) {
    isFirstRenderRef.current = false;
    return true;
  }
  return isFirstRenderRef.current;
};

export { useIsFirstRender as default };
//# sourceMappingURL=useIsFirstRender.js.map
