/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { TagFunction } from './Tag.js';
import CheckTag$1 from './CheckTag.js';
import CheckTagGroup$1 from './CheckTagGroup.js';
import forwardRefWithStatics from '../_util/forwardRefWithStatics.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import '../_chunks/dep-5462fae6.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import 'tinycolor2';
import '../_util/noop.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../locale/zh_CN.js';
import '../_chunks/dep-e61f9018.js';
import 'dayjs';
import '../_chunks/dep-3c66615e.js';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../_chunks/dep-4501cb83.js';
import '../_chunks/dep-34d8fc80.js';
import '../_chunks/dep-f1d23980.js';
import '../hooks/useControlled.js';
import 'hoist-non-react-statics';

var Tag = forwardRefWithStatics(TagFunction, {
  CheckTag: CheckTag$1,
  CheckTagGroup: CheckTagGroup$1
});
Tag.displayName = "Tag";
var CheckTag = CheckTag$1;
var CheckTagGroup = CheckTagGroup$1;

export { CheckTag, CheckTagGroup, Tag, Tag as default };
//# sourceMappingURL=index.js.map
