/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import useConfig from '../../hooks/useConfig.js';
import 'react';
import '../../config-provider/ConfigContext.js';
import '../../_chunks/dep-f105ca38.js';
import '../../_chunks/dep-bff1a51f.js';
import 'lodash-es';
import '../../_chunks/dep-ed3ed0e1.js';
import '../../_chunks/dep-761c2704.js';
import 'dayjs';

var useClassNames = function useClassNames() {
  var _useConfig = useConfig(),
    classPrefix = _useConfig.classPrefix;
  var baseClassName = "".concat(classPrefix, "-color-picker");
  return baseClassName;
};

export { useClassNames as default };
//# sourceMappingURL=useClassNames.js.map
