/**
 * tdesign v1.12.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { useMemo } from 'react';
import useConfig from './useConfig.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-f105ca38.js';
import '../_chunks/dep-bff1a51f.js';
import 'lodash-es';
import '../_chunks/dep-ed3ed0e1.js';
import '../_chunks/dep-761c2704.js';
import 'dayjs';

var defaultAttach = "body";
var useAttach = function useAttach(name, attach) {
  var globalConfig = useConfig();
  var attachVal = useMemo(function () {
    var _globalConfig$attach;
    return attach || (globalConfig === null || globalConfig === void 0 || (_globalConfig$attach = globalConfig.attach) === null || _globalConfig$attach === void 0 ? void 0 : _globalConfig$attach[name]) || (globalConfig === null || globalConfig === void 0 ? void 0 : globalConfig.attach) || defaultAttach;
  }, [name, attach, globalConfig === null || globalConfig === void 0 ? void 0 : globalConfig.attach]);
  return attachVal;
};

export { useAttach as default };
//# sourceMappingURL=useAttach.js.map
